#!/bin/bash
# 
# -----------------------------------------------------------------------------
#  crabs_sddd/0.1a : Simple Dynamic DNS Daemon
#  Copyright (C) 2004 : Christophe CAZAJUS (ccazajus@free.fr)
#  
#  Ce source fait partie d'un projet logiciel libre. Vous pouvez le distribuer
#  et/ou le modifier en respectant les termes de la GNU General Public License
#  version 2 ou (suite a votre propre choix) une version ulterieure.
# 
#  Ce programme est distribue dans l'espoir qu'il puisse etre utile, mais
#  sans aucune garantie, meme si il est associe a un produit qui vous en
#  propose une. Conformez-vous a la GNU General Public License pour avoir
#  plus de precisions.
#  
#  L'auteur ne peut etre tenu responsable de l'utilisation faite des
#  composantes associees a ce projet (en partie ou dans leur totalite).
# 
#  Une copie du fichier de la GNU GPL est fournie dans le repertoire DOC
#  de ce projet sous le nom gnu_gpl.txt
# 
# -----------------------------------------------------------------------------
# 
# Outil pour tester le parametrage de crabs_sddd

CONF=/etc/adsl/sddd_start

function usage()
	{
	echo "$0 [ ifaddr | getipbyhostname | setdyndnsmanual | mailsend ]"
	}

if [ $# -lt 1 ] ; then 
	usage
	exit 1
fi

eval `grep 'export SDDD_' $CONF`

case "$1" in
	'ifaddr') UTILS/ifaddr $SDDD_IF ;;
	'getipbyhostname') UTILS/getipbyhostname $SDDD_HOSTNAME ;;
	'setdyndnsmanual') UTILS/setdyndnsmanual ;;
	'mailsend') UTILS/mailsend ;;
	*) usage ;;
esac

